#include<stdio.h>
#include<stdlib.h>
main(){
	signed long N,i,j,k,ans=0;
	signed long X[N],Y[N],Z[N];
	scanf("%li",&N);
	
	for(i=0;i<N;i++){
		scanf("%li",&X[i]);
	}
	for(i=0;i<N;i++){
		scanf("%li",&Y[i]);
	}
	for(i=0;i<N;i++){
		scanf("%li",&Z[i]);
	}
	
	for(i=0;i<N;i++){
		for(j=0;j<N;j++){
			if(X[i]==Y[j]){
				for(k=0;k<N;k++){
					if(j+1==Z[k]){
						ans++;
					}
				}
			}
		}	
	}
	printf("%li",ans);
	
}